Subject: Re: git tag usability issue: Lightweight vs Annotated confusion for the end user (ex. git describe default)

From: Daniele Segato <[email-masked]>
Date: Thu, 25 Jul 2013 15:48:02 +0200

On 07/24/2013 10:34 PM, Junio C Hamano wrote:
> Daniele Segato <[email-masked]> writes:
>
>> Annotated and Lightweight tags are not the same thing
>> for git and you shouldn't mix them up. Annotated tags are meant for
>> release while lightweight tags are meant to tag random commits.
>
> Nicely explained.
>
> This is one of those "we who worked on Git (not worked "with" Git)
> for a long time _know_ it and do not need it to be explained, and we
> didn't spot that it is not explained in the documentation for new
> people."

Good!

Any change in adding an option to filter tags list by annotated only?

>
> Care to roll a documentation patch (and get a commit count for
> yourself ;-)?

I tried, just sent the patch, hopefully I managed to follow the guide I 
found here: 
http://repo.or.cz/w/git.git?a=blob;f=Documentation/SubmittingPatches;hb=HEAD

As you suggested I removed the "title" line and the reference to git 
describe default.

If I did something wrong please explain me what and I'll fix it

> Thanks.

You're Welcome :-)

Cheers,
Daniele Segato